mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricAlgorithm Abstract base class for all implementations of the Digital Signature Algorithm (DSA) algorithm.

There is a serious bug in version 1.0 and 1.1 of the .NET framework. The constructor for DSA was declared internal (not protected) this makes it impossible to inherit from the DSA class outside the mscorlib.dll assembly (which is quite limiting).

More information about DSA can be found in NIST FIPS PUB 186-2: Digital Signature Standard (DSS) available at http://csrc.nist.gov/publications/fips/fips186-2/fips186-2-change1.pdf

- Constructor
  To be added.
  To be added.
  2.0.0.0
  4.0.0.0
- Method
  System.Security.Cryptography.DSA Create an instance of the default DSA implementation. To be added: an object of type 'DSA' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.DSA `` To be added: an object of type 'string' Create an instance of the specified DSA implementation. To be added: an object of type 'DSA' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] `` The SHA1 hash to be signed. Sign the specified hash value using the instance private key. An array of 40 bytes containing the DSA signature of the specified hash. A will be thrown if the instance doesn't have a private key or if the parameter rgbHash isn't exactly 20 bytes long (like all SHA1 hashes are). 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.DSAParameters `` True to include private parameters; otherwise, false. Export the instance key into a structure. a DSAParameters structure contaning each parameters of the key. You are responsable to zeroize the private key (.) if you export it from the instance. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` An string containing a DSA key in XML. Import the DSA key from the specified XML string. The schema definition for DSA keys is detailled in section 4.4.2.1 of the "XML-Signature Syntax and Processing" available at http://www.w3.org/TR/xmldsig-core/ 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` A DSAParameters containing the DSA key parameters. Import the key from the structure into the current instance. Parameter is required if you want to import the DSA private key into the instance. Note that you are responsable to zeroize the private key inside the after it's been imported. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String `` True to include private parameters; otherwise, false. Convert the current DSA key into an XML string. An XML string containing the representation of the DSA key. The schema definition for DSA keys is detailled in section 4.4.2.1 of the "XML-Signature Syntax and Processing" available at http://www.w3.org/TR/xmldsig-core/ 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The SHA1 hash to be verified. An array of 40 bytes containing the DSA signature of the specified hash. Verify that signature match the hash value using the instance public key. True if the signature can be verified, false otherwise. A will be thrown if the parameter rgbHash isn't exactly 20 bytes long (like all SHA1 hashes are) or if the signature length isn't 40 bytes long (as all DSA signatures are). 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)